package services

import (
	"GoMembership/internal/models"
	"GoMembership/internal/repositories"
)

type LicenceInterface interface {
	GetAllCategories() ([]models.Category, error)
}

type LicenceService struct {
	Repo repositories.LicenceInterface
}

func (s *LicenceService) GetAllCategories() ([]models.Category, error) {
	return s.Repo.GetAllCategories()
}
